/*
 * File:   IDableEntity.h
 * Author: ryan
 *
 * Created on July 12, 2009, 5:25 PM
 */

#ifndef _IDABLEENTITY_H
#define	_IDABLEENTITY_H

class IDableEntity {
public:
  static const int NOID;

  IDableEntity( int _id );
  IDableEntity( const IDableEntity& orig );
  virtual ~IDableEntity( ){}

  IDableEntity& operator=( const IDableEntity& e );
  bool operator==( const IDableEntity& e ) const;
  bool operator!=( const IDableEntity& e ) const;

  int getId( ) const;
  void setId( int _id );

private:
  int id;
};

#endif	/* _IDABLEENTITY_H */

