/************************* * * * * * * * * * * * * ***************************
    Copyright (c) 1999-2010 Ryan Bobko
                       ryan@ostrich-emulators.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ************************** * * * * * * * * * * * * **************************
 * Created on July 19, 2009, 2:35 PM
 */

#include "Journal.h"

Journal::Journal( int i ) : IDableEntity( i ) {
}

Journal::Journal( const Journal& orig ) : IDableEntity( orig ) {
  setName( orig.getName( ) );
}

Journal& Journal::operator =(const Journal& j ) {
  if ( this != &j ) {
    setId( j.getId() );
    setName( j.getName() );
  }
  return *this;
}

void Journal::setName( const QString& n ) {
  name = n;
}

QString Journal::getName( ) const {
  return name;
}
