#ifndef LOANUTILS_H
#define LOANUTILS_H

class Loan;
class Account;
class Transaction;
class QHacc;
class QSqlDatabase;

class LoanUtils {
public:
  LoanUtils( QSqlDatabase& conn, QHacc * e );
  LoanUtils( const LoanUtils& orig );
  virtual ~LoanUtils(){}

  void addPayment( const Loan& l, const Account& a, const Transaction& t );

private:
  LoanUtils();

  QSqlDatabase * conn;
  QHacc * engine;
};

#endif // LOANUTILS_H
