/************************* * * * * * * * * * * * * ***************************
    Copyright (c) 1999-2010 Ryan Bobko
                       ryan@ostrich-emulators.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
************************** * * * * * * * * * * * * **************************/

#ifndef _MAPPEREXCEPTION_H
#define	_MAPPEREXCEPTION_H

#include <QString>

#include <exception>

class MapperException : public std::exception {
 public:
  MapperException( const QString& );
  virtual ~MapperException() throw();
  virtual const char * what() const throw();

 private:
  QString info;
};

#endif /* _MAPPEREXCEPTION_H */
