/*
 * File:   AccountEditor.h
 * Author: ryan
 */

#ifndef ACCOUNTDELEGATE_H
#define	ACCOUNTDELEGATE_H

#include <QStyledItemDelegate>

class AccountDelegate : public QStyledItemDelegate {
  Q_OBJECT
public:
  AccountDelegate( bool allowNew = true, QObject * p = 0 );
  virtual ~AccountDelegate( ){}

  void updateEditorGeometry( QWidget *editor,
      const QStyleOptionViewItem &option, const QModelIndex & ) const;

  void setModelData( QWidget *editor, QAbstractItemModel *model,
      const QModelIndex &index ) const;

  QWidget * createEditor( QWidget *parent, const QStyleOptionViewItem &option,
      const QModelIndex & index ) const;

  void setEditorData( QWidget * editor, const QModelIndex &index ) const;

protected:
  bool eventFilter(QObject *object, QEvent *event);

private:
  bool allowNew;
};

#endif	/* ACCOUNTDELEGATE_H */
