#ifndef BUDGETLIMITROWMODEL_H
#define BUDGETLIMITROWMODEL_H

#include <QAbstractTableModel>

#include "Budget.h"

class BudgetLimitRowModel : public QAbstractTableModel {
  Q_OBJECT
public:
  explicit BudgetLimitRowModel(const Budget& b, QObject *parent = 0);
  virtual ~BudgetLimitRowModel(){}

  virtual int rowCount(const QModelIndex&) const;
  virtual int columnCount(const QModelIndex&) const;
  virtual QVariant data(const QModelIndex&, int role) const;

  void setBudget( const Budget& b );
  const Budget& getBudget() const;
  QVariant headerData( int col, Qt::Orientation orient, int role ) const;
  Qt::ItemFlags flags( const QModelIndex & ) const;
  virtual bool setData( const QModelIndex & index, const QVariant & value,
                        int role = Qt::EditRole );

signals:

public slots:

private:
  Budget budget;
};

#endif // BUDGETLIMITROWMODEL_H
