/*
 * File:   DateDelegate.h
 * Author: ryan
 *
 * Created on December 14, 2011, 7:44 PM
 */

#ifndef DATEDELEGATE_H
#define	DATEDELEGATE_H

#include "TransactionDelegateBase.h"

class QPainter;
class QStyleOptionViewItem;

class DateDelegate : public TransactionDelegateBase {
  Q_OBJECT
public:
  DateDelegate( QObject * p = 0 );
  virtual ~DateDelegate( ){}

  void updateEditorGeometry( QWidget *editor,
      const QStyleOptionViewItem &option, const QModelIndex & ) const;

  void setModelData( QWidget *editor, QAbstractItemModel *model,
      const QModelIndex &index ) const;

  QWidget * createEditor( QWidget *parent, const QStyleOptionViewItem &option,
      const QModelIndex & index ) const;

  void setEditorData( QWidget * editor, const QModelIndex &index ) const;

  QString displayText ( const QVariant & value, const QLocale& ) const;
};

#endif	/* DATEDELEGATE_H */

