#ifndef LOANDIALOG_H
#define LOANDIALOG_H

#include <QDialog>

#include "ui_LoanDialog.h"
#include "Loan.h"

class QListWidgetItem;

class LoanDialog : public QDialog {
  Q_OBJECT
public:
  explicit LoanDialog( QWidget * parent = 0);
  virtual ~LoanDialog(){}

signals:

public slots:
  void makeLoan( );
  void loadLoan( QListWidgetItem * idx );
  void update( );
  void remove( );
  void refresh();
  void updateLabels();
  void checkIfSaveable();

private:
  Ui::LoanDialog widget;
  Loan current;

  QListWidgetItem * addItem( const Loan& l );
};

#endif // LOANDIALOG_H
