
#ifndef QUICKENTRYDIALOG_H
#define QUICKENTRYDIALOG_H

#include <QDialog>

#include "ui_QuickEntryDialog.h"

class QuickEntryDialog : public QDialog {
  Q_OBJECT
public:
  QuickEntryDialog( QWidget * p = 0 );
  virtual ~QuickEntryDialog( ){}

public slots:
  void getPayees();
  void getToAccounts( int aid );
  void checkSaveable();
  void save();
  void moveToAmount();
  void exitApp();

private:
  Ui::QuickEntryDialog widget;
  QButtonGroup * groupT;
  QButtonGroup * groupF;
  QButtonGroup * groupP;
};

#endif // QUICKENTRYDIALOG_H
