#include "TransactionFilter.h"

TransactionFilter::TransactionFilter() : flipOk( false ){}

TransactionFilter& TransactionFilter::operator=( const TransactionFilter& orig ){
  if( this != &orig ){
    flipOk = orig.flipOk;
  }

  return *this;
}

TransactionFilter::TransactionFilter( const TransactionFilter& orig )
  : flipOk ( orig.flipOk ){}

void TransactionFilter::negate(){
  flipOk = !flipOk;
}

bool TransactionFilter::accepts( const FullTransaction& ft ){
  bool ok = iaccept( ft );
  return ( flipOk ? !ok : ok );
}
