/*
 * File:   MonthlyBalance.h
 * Author: ryan
 *
 * Created on November 21, 2011, 3:13 PM
 */

#ifndef DAILYBALANCE_H
#define	DAILYBALANCE_H

#include "DailyChange.h"

class DailyBalance : public DailyChange {
public:
  DailyBalance( const Account& a, const QDate& s = QDate( ),
               const QDate& e = QDate::currentDate( ) ) : DailyChange( a, s, e ){}
  DailyBalance( const DailyBalance& orig ) : DailyChange( orig ){}

  virtual ~DailyBalance( ){}

protected:
  virtual bool sumThroughTicks() const {
    return true;
  }
};

#endif	/* DAILYBALANCE_H */

