#ifndef DAILYBALANCEWINDOW_H
#define DAILYBALANCEWINDOW_H

#include "BalancePlot.h"

class BalanceBase;

class DailyBalanceWindow : public BalancePlot {
public:
  DailyBalanceWindow( const Account& a, QWidget * p = 0);
  virtual ~DailyBalanceWindow(){}

protected:
  DailyBalanceWindow( BalanceBase * gen, QWidget * p = 0 );

  PlotGenerator * getNewPlot( const Account& a );

  virtual TimeScale timescale() const;
};

#endif // DAILYBALANCEWINDOW_H
