/*
 * File:   DayLabeler.cpp
 * Author: ryan
 *
 * Created on November 27, 2011, 3:32 PM
 */

#include "DayLabeler.h"

#include <QSettings>

#include "Constants.h"
#include "Logger.h"

DayLabeler::DayLabeler( const QDate& d ) : startdate( d ) {
  QSettings settings;
  format = settings.value( DateFormat ).toString( );
}

QwtText DayLabeler::label( double v ) const {
  return startdate.addDays( (int) v ).toString( format );
}
