#ifndef PIEWINDOW_H
#define PIEWINDOW_H

#include "PlotWindow.h"
#include "Account.h"

#include <QDate>

class PieGraph;

class PieWindow : public PlotWindow {
public:
  PieWindow( const Account& a, QWidget * p =0 );
  virtual ~PieWindow(){}
  virtual void add();

protected:
  PieWindow( PieGraph * pg, QWidget * p =0 );
  virtual PieGraph * getNewPlot( const Account& a );

  virtual TimeScale timescale() const;
};


class DebitPieWindow : public PieWindow {
public:
  DebitPieWindow( const Account& a, QWidget * p =0 );
  virtual ~DebitPieWindow(){}

protected:
  virtual PieGraph * getNewPlot( const Account& a );
};

#endif // PIEWINDOW_H
