############################################
#                                          #
#  Feel free to customize this section     #
#                                          #
############################################

# top install directory
INSTALLDIR=/usr/local/qhacc

QWTINCS=/usr/include/qwt
QWTLIBS=/usr/lib

#############################################
#                                           #
#  You probably don't need to change these  #
#                                           #
#############################################

EXEINSTALLDIR = $${INSTALLDIR}/bin
QMINSTALLDIR = $${INSTALLDIR}/qm
HINSTALLDIR = $${INSTALLDIR}/include

win32:LIBINSTALLDIR = $${EXEINSTALLDIR}
unix:LIBINSTALLDIR = $${INSTALLDIR}/lib

win32 {
  MINGW = c:/mingw
}

#############################################
#                                           #
#  Don't change these unless you know what  #
#  you are doing. They're included here so  #
#  the values can be included in all        #
#  Makefiles                                #
#                                           #
#############################################

CONFIG += debug
DEFINES += QT_FATAL_ASSERT
QMAKE_CFLAGS+=
QMAKE_CXXFLAGS += -std=c++0x
QMAKE_LFLAGS +=

CONFIG(release, debug|release):DESTDIR = build/release
CONFIG(debug, debug|release):DESTDIR = build/debug

UI_DIR = $${DESTDIR}/uis
MOC_DIR = $${DESTDIR}/mocs
OBJECTS_DIR = $${DESTDIR}/objs
