
########################################################
#                                                      #
#  You should not need to touch anything in this file  #
#                                                      #
########################################################

include ( user.pri )

TEMPLATE = subdirs
SUBDIRS = engine gui
CONFIG += ordered
DISTFILES += AUTHORS README INSTALL COPYING NEWS THANKS TODO UPGRADE ChangeLog skeleton.db
VERSION = 4.1

TRANSLATIONS = qm/qhacc.es.ts
CODECFORSRC = UTF-8

translations.path = $${QMINSTALLDIR}
translations.files = qm/*.qm

INSTALLS += translations

TARGET = qhacc
QMAKE_EXTRA_TARGETS += newdist translate
CURDIR = $(PWD)
ZIPDIR = $${TARGET}-$${VERSION}
TGTDIR = /tmp/$${ZIPDIR}
newdist.commands = \
    lrelease QHacc4.pro && \
    rm -rf $${TGTDIR} && \
    svn export . $${TGTDIR} && \
    cp $${translations.files} $${TGTDIR}/qm && \
    cd /tmp && \
    tar cvfz /tmp/$${ZIPDIR}.tgz $${ZIPDIR} && \
    cd $${CURDIR}

translate.commands = lrelease QHacc4.pro
