#ifndef LOANMAPPER_H
#define LOANMAPPER_H

#include <QCache>

#include "DBMapper.h"
#include "Loan.h"

class QSqlDatabase;

class LoanMapper : public DBMapper<Loan> {
public:
  LoanMapper( const QSqlDatabase& db, const QHacc * e );
  LoanMapper( const LoanMapper& orig );
  virtual ~LoanMapper( ){}

  virtual Loan getById( int id ) throw ( MapperException);

  QList<Loan> getAll( ) throw ( MapperException);

  virtual void save( Loan& saveme ) throw ( MapperException);

  virtual void update( Loan& updateme ) throw ( MapperException);

  virtual void remove( const Loan& removeme ) throw ( MapperException);
};

#endif // LOANMAPPER_H
