/*
 * File:   AccountDialog.h
 * Author: ryan
 *
 * Created on November 29, 2011, 8:22 PM
 */

#ifndef ACCOUNTDIALOG_H
#define	ACCOUNTDIALOG_H

#include <memory>

#include "ui_AccountDialog.h"

#include "Account.h"

class QButtonGroup;

class AccountDialog : public QDialog {
  Q_OBJECT
public:
  AccountDialog( const Account& acct = Account( ), QWidget * p = 0 );
  virtual ~AccountDialog( );
  const Account& getCurrent() const;

public slots:
  void changeAccountType( int id );
  void save( );

private:
  Ui::AccountDialog widget;
  Account current;
  std::unique_ptr<QButtonGroup> grp;
};

#endif	/* ACCOUNTDIALOG_H */

