/*
 * File:   BoolDelegate.h
 * Author: ryan
 *
 * Created on November 30, 2011, 2:16 PM
 */

#ifndef BoolDelegate_H
#define	BoolDelegate_H

#include <QStyledItemDelegate>

class BoolDelegate : public QStyledItemDelegate {
  Q_OBJECT
public:
  BoolDelegate( bool tri = false, QObject * p = 0 );
  virtual ~BoolDelegate( ){}

  void updateEditorGeometry( QWidget *editor,
      const QStyleOptionViewItem &option, const QModelIndex & ) const;

  void setModelData( QWidget *editor, QAbstractItemModel *model,
      const QModelIndex &index ) const;

  QWidget * createEditor( QWidget *parent, const QStyleOptionViewItem &option,
      const QModelIndex & index ) const;

  void setEditorData( QWidget * editor, const QModelIndex &index ) const;

  void paint( QPainter * painter, const QStyleOptionViewItem& option,
              const QModelIndex& idx ) const;
private:
  bool tristate;
};

#endif	/* BoolDelegate_H */

