#ifndef BUDGETDIALOG_H
#define BUDGETDIALOG_H

#include <QDialog>
#include <QAbstractTableModel>

#include "ui_BudgetDialog.h"
#include "Budget.h"

class BudgetLimitRowModel;

class BudgetDialog : public QDialog {
  Q_OBJECT
public:
  explicit BudgetDialog(QWidget *parent = 0);
  virtual ~BudgetDialog(){}

signals:

public slots:
  void makeBudget( );
  void loadBudget( QListWidgetItem * idx );
  void update( );
  void remove( );
  void refresh();

private:
  Ui::BudgetDialog widget;
  Budget current;
  BudgetLimitRowModel * model;
  static const QString settingsKey;

  QListWidgetItem * addItem( const Budget& l );
};

#endif // BUDGETDIALOG_H
