/*
 * File:   MemTransDataEntry.h
 * Author: ryan
 *
 * Created on November 27, 2011, 7:12 PM
 */

#ifndef MEMTRANSDATAENTRY_H
#define	MEMTRANSDATAENTRY_H

#include "ui_MemTransDataEntry.h"
#include "SplitModel.h"
#include "FullTransaction.h"

class TransactionSchedule;
class QListWidgetItem;
class AccountDelegate;
class ReconcileDelegate;

class MemTransDataEntry : public QDialog {
  Q_OBJECT
public:
  MemTransDataEntry( QWidget * p = 0 );
  virtual ~MemTransDataEntry( ){}

public slots:
  void refresh( );
  void makeTransaction( );
  void loadTransaction( QListWidgetItem * idx );
  void update( );
  void remove( );
  void changedDifference( const Money&, const Money& );
  void setSchedule();
  void setNextRunDate();

private:
  Ui::MemTransDataEntry widget;
  TransactionSchedule current;

  QListWidgetItem * addItem( const TransactionSchedule& ts );
};

#endif	/* MEMTRANSDATAENTRY_H */

