/*
 * File:   ReconcileWindow.h
 * Author: ryan
 *
 * Created on December 4, 2011, 7:35 PM
 */

#ifndef _RECONCILEWINDOW_H
#define	_RECONCILEWINDOW_H

#include "ui_ReconcileWindow.h"

#include <QModelIndex>

#include "Account.h"
#include "Journal.h"
#include "Money.h"

class FullTransaction;

class ReconcileWindow : public QDialog {
  Q_OBJECT
public:
  ReconcileWindow( const Account& acct, const Journal& j, QWidget * p = 0 );
  virtual ~ReconcileWindow( ){}

public slots:
  void recalcBalance( );
  void upgradeReconciled( );
  void saveSettings();
  void restoreSettings();
  void newTransaction();

private:
  Ui::ReconcileWindow widget;
  Account account;
  Journal journal;
};

#endif	/* _RECONCILEWINDOW_H */

