#ifndef SPLITDIALOG_H
#define SPLITDIALOG_H

#include "ui_SplitDialog.h"

class SplitModel;

#include "Split.h"

class SplitDialog : public QDialog {
    Q_OBJECT
public:
    explicit SplitDialog(QWidget *parent = 0);
    virtual ~SplitDialog(){}

    void setSplits( const QList<Split>& s );
    const QList<Split>& splits() const;

    void setDefaultMemo( const QString& s );
    void mustBeBalanced( bool b );

signals:

public slots:
    void checkOk();

private:
    Ui::SplitDialog widget;
    bool forceBalance;
};

#endif // SPLITDIALOG_H
