#ifndef TRANSACTIONFILTER_H
#define TRANSACTIONFILTER_H

class FullTransaction;

class TransactionFilter {
public:
  TransactionFilter();
  virtual ~TransactionFilter(){}
  TransactionFilter( const TransactionFilter& orig );
  TransactionFilter& operator=( const TransactionFilter& orig );

  /**
   * Should the given FT be included once this filter
   * is run on it?
   */
  virtual bool accepts( const FullTransaction& ft );

  virtual bool iaccept( const FullTransaction& ft ) =0;

  virtual void negate();
private:
  bool flipOk;
};

#endif // TRANSACTIONFILTER_H
