#include "TransactionTypeFilter.h"

#include "FullTransaction.h"

TransactionTypeFilter::TransactionTypeFilter( const TransactionType& _type )
  : TransactionFilter(), type( _type ){}

TransactionTypeFilter::TransactionTypeFilter( const TransactionTypeFilter& orig )
  : TransactionFilter( orig ), type( orig.type ){}
TransactionTypeFilter& TransactionTypeFilter::operator= ( const TransactionTypeFilter& orig ){
  if( this != &orig ){
    type = orig.type;
  }

  return *this;
}

bool TransactionTypeFilter::iaccept( const FullTransaction& ft ){
  return ( ft.getTransaction().getType() == type );
}
