#ifndef TRANSACTIONTYPEFILTER_H
#define TRANSACTIONTYPEFILTER_H

#include "Constants.h"
#include "TransactionFilter.h"

class TransactionTypeFilter : public TransactionFilter {
public:
  TransactionTypeFilter( const TransactionType& type );
  TransactionTypeFilter( const TransactionTypeFilter& orig );
  TransactionTypeFilter& operator= ( const TransactionTypeFilter& orig );
  virtual ~TransactionTypeFilter(){}

protected:
  virtual bool iaccept( const FullTransaction& ft );

private:
  TransactionType type;

};

#endif // TRANSACTIONTYPEFILTER_H
