#include "AccountLabeler.h"

#include "QHacc.h"
#include "AccountMapper.h"

#include <cmath>

AccountLabeler::AccountLabeler() {
}

QwtText AccountLabeler::label( double v ) const {

  double position = 0;
  double fracpart = modf( v, &position );
  if( 0 == fracpart ){
    if( list.size() > position ){
      return list.at( position );
    }
  }

  return QString( "" );
}

void AccountLabeler::clear(){
  list.clear();
}

void AccountLabeler::addLabel( const QString& c ){
  list.append( c );
}

int AccountLabeler::count() const {
  return list.count();
}
