#ifndef BALANCEPLOT_H
#define BALANCEPLOT_H

#include "PlotWindow.h"
#include "Account.h"

class QWidget;
class BalanceBase;

class BalancePlot : public PlotWindow {
public:
  virtual ~BalancePlot(){}

  virtual void add();

protected:
  BalancePlot( BalanceBase * gen, QWidget * p = 0 );

  virtual PlotGenerator * getNewPlot( const Account& a ) =0;
};

#endif // BALANCEPLOT_H
