#include "DailyBalanceWindow.h"

#include "DailyBalance.h"

DailyBalanceWindow::DailyBalanceWindow( const Account &a, QWidget *p )
: BalancePlot( new DailyBalance( a ), p ) {
}

DailyBalanceWindow::DailyBalanceWindow( BalanceBase * gen, QWidget *p )
: BalancePlot( gen, p ) {
}

PlotGenerator * DailyBalanceWindow::getNewPlot( const Account& a ){
  return new DailyBalance( a );
}

TimeScale DailyBalanceWindow::timescale() const {
  return DAILY;
}
