/*
 * File:   MonthLabeler.cpp
 * Author: ryan
 *
 * Created on November 22, 2011, 10:25 AM
 */

#include "MonthLabeler.h"

#include <QSettings>

#include "Constants.h"
#include "Logger.h"

MonthLabeler::MonthLabeler( const QDate& d ) : startdate( d ) {
  QSettings settings;
  format = settings.value( DateFormat ).toString( );
}

QwtText MonthLabeler::label( double v )const {
  return startdate.addMonths( (int) v ).toString( format );
}
