#include "MonthlyBalanceWindow.h"

#include "Account.h"
#include "MonthlyBalance.h"

MonthlyBalanceWindow::MonthlyBalanceWindow( const Account &a, QWidget *p )
: BalancePlot( new MonthlyBalance( a ), p ) {
}

MonthlyBalanceWindow::MonthlyBalanceWindow( MonthlyBalance * gen, QWidget * p )
: BalancePlot( gen, p ){
}

PlotGenerator * MonthlyBalanceWindow::getNewPlot( const Account& a ){
  return new MonthlyBalance( a );
}

TimeScale MonthlyBalanceWindow::timescale() const {
  return MONTHLY;
}
