#ifndef MONTHLYBALANCEWINDOW_H
#define MONTHLYBALANCEWINDOW_H

#include "BalancePlot.h"

class MonthlyBalance;

class MonthlyBalanceWindow : public BalancePlot {
public:
  MonthlyBalanceWindow( const Account& a, QWidget * p =0 );
  virtual ~MonthlyBalanceWindow(){}

protected:
  MonthlyBalanceWindow( MonthlyBalance * gen, QWidget * p =0 );
  virtual PlotGenerator * getNewPlot( const Account& a );

  virtual TimeScale timescale() const;
};

#endif // MONTHLYBALANCEWINDOW_H
